summaryrefslogtreecommitdiff
path: root/share/spack/qa/install_patchelf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'share/spack/qa/install_patchelf.sh')
-rwxr-xr-xshare/spack/qa/install_patchelf.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/share/spack/qa/install_patchelf.sh b/share/spack/qa/install_patchelf.sh
new file mode 100755
index 0000000000..7660ba8eef
--- /dev/null
+++ b/share/spack/qa/install_patchelf.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# Copyright 2013-2020 Lawrence Livermore National Security, LLC and other
+# Spack Project Developers. See the top-level COPYRIGHT file for details.
+#
+# SPDX-License-Identifier: (Apache-2.0 OR MIT)
+
+#
+# Description:
+# Install patchelf for use in buildcache unit tests
+#
+# Usage:
+# install-patchelf.sh
+#
+set -ex
+if [ "$TRAVIS_OS_NAME" = "linux" ]; then
+ olddir=$PWD
+ cd /tmp
+ wget https://github.com/NixOS/patchelf/archive/0.10.tar.gz
+ tar -xvf 0.10.tar.gz
+ cd patchelf-0.10 && ./bootstrap.sh && ./configure --prefix=/usr && make && sudo make install && cd $olddir
+fi